
package Google::Ads::AdWords::v201109::TypeMaps::AdGroupService;
use strict;
use warnings;

our $typemap_1 = {
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201109::EntityNotFound::Reason',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/stats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201109::Predicate',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201109::NotEmptyError::Reason',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/stats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]' => 'Google::Ads::AdWords::v201109::StatsQueryError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201109::RateExceededError::Reason',
               'mutateResponse/rval/value/bids' => 'Google::Ads::AdWords::v201109::AdGroupBids',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201109::AuthorizationError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201109::Paging',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201109::NewEntityCreationError',
               'mutate/operations/operand/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201109::AdGroup',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201109::AdGroup::Status',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201109::PercentCPAAdGroupBids',
               'mutateResponse/rval/value/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201109::ExperimentDeltaStatus',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::BudgetOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'mutateResponse/rval/value/stats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::BudgetOptimizerAdGroupBids',
               'getResponse/rval/entries/experimentData' => 'Google::Ads::AdWords::v201109::AdGroupExperimentData',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201109::Predicate::Operator',
               'mutateResponse/rval/value/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/stats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201109::AdGroupExperimentBidMultipliers',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201109::OperationAccessDenied',
               'getResponse/rval/entries/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201109::DateError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]' => 'Google::Ads::AdWords::v201109::AdGroupServiceError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201109::RateExceededError',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201109::Bid',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/stats' => 'Google::Ads::AdWords::v201109::Stats',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201109::StatsQueryError::Reason',
               'getResponse/rval/entries/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201109::PercentCPAAdGroupBids',
               'getResponse/rval/entries/stats' => 'Google::Ads::AdWords::v201109::Stats',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids' => 'Google::Ads::AdWords::v201109::AdGroupBids',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerAdGroupBids',
               'mutate/operations/operand/stats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201109::QuotaCheckError::Reason',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201109::DatabaseError::Reason',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201109::DateError',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201109::ClientTermsError::Reason',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupBids',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201109::InternalApiError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/stats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupBids',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/siteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/stats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse' => 'Google::Ads::AdWords::v201109::AdGroupService::getResponse',
               'mutateResponse/rval/value/stats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::BudgetOptimizerAdGroupBids',
               'mutateResponse/rval/value/experimentData' => 'Google::Ads::AdWords::v201109::AdGroupExperimentData',
               'mutate/operations/operand/experimentData' => 'Google::Ads::AdWords::v201109::AdGroupExperimentData',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]' => 'Google::Ads::AdWords::v201109::BiddingError',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201109::AdGroupPage',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201109::ClientTermsError',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201109::PercentCPAAdGroupBids',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201109::AdGroupExperimentBidMultipliers',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201109::InternalApiError::Reason',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201109::RejectedError::Reason',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201109::SelectorError::Reason',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201109::DatabaseError',
               'mutate/operations/operand/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201109::AuthorizationError',
               'getResponse/rval/entries/stats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/stats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201109::ExperimentDataStatus',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201109::Operator',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201109::SizeLimitError',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/stats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'mutate/operations/operand/stats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201109::AdGroup::Status',
               'mutateResponse/rval/value/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201109::NewEntityCreationError::Reason',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/stats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/stats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'getResponse/rval/entries/stats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'mutateResponse/rval/value/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]' => 'Google::Ads::AdWords::v201109::QuotaError',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201109::ApiException',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupExperimentBidMultipliers',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/stats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201109::RangeError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201109::ReadOnlyError',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201109::RequestError',
               'getResponse/rval/entries/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201109::ExperimentDataStatus',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201109::RequiredError',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201109::AuthenticationError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201109::NotEmptyError',
               'mutate/operations/operand/stats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/stats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201109::ExperimentDeltaStatus',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201109::AuthenticationError::Reason',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/stats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/stats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/siteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse' => 'Google::Ads::AdWords::v201109::AdGroupService::mutateResponse',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutate/operations/operand/stats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201109::OperatorError::Reason',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutateResponse/rval/value/stats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/campaignId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/stats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/stats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201109::DateRange',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201109::SortOrder',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupExperimentBidMultipliers',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupExperimentBidMultipliers',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'get' => 'Google::Ads::AdWords::v201109::AdGroupService::get',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'mutateResponse/rval/value/stats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201109::QuotaCheckError',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/experimentData/experimentDataStatus' => 'Google::Ads::AdWords::v201109::ExperimentDataStatus',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/stats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers' => 'Google::Ads::AdWords::v201109::AdGroupExperimentBidMultipliers',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupExperimentBidMultipliers',
               'getResponse/rval/entries/stats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201109::EntityNotFound',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/stats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupBids',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201109::AdGroup::Status',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201109::DistinctError::Reason',
               'getResponse/rval/entries/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/bids' => 'Google::Ads::AdWords::v201109::AdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201109::NotWhitelistedError::Reason',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/stats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/reason' => 'Google::Ads::AdWords::v201109::QuotaError::Reason',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201109::NullError',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupExperimentBidMultipliers',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/stats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/siteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/stats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201109::RangeError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/stats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201109::OrderBy',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/bids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupBids',
               'mutate/operations/operand/stats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201109::NotWhitelistedError',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201109::RequiredError::Reason',
               'mutate/operations/operand/stats' => 'Google::Ads::AdWords::v201109::Stats',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/stats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/stats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxContentCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201109::ReadOnlyError::Reason',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201109::NullError::Reason',
               'mutate/operations/operand/experimentData/experimentBidMultipliers/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201109::ApiError',
               'getResponse/rval/entries/bids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerAdGroupBids',
               'mutateResponse/rval/value/bids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multiplier' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate' => 'Google::Ads::AdWords::v201109::AdGroupService::mutate',
               'getResponse/rval/entries/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/siteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/stats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201109::ApiError',
               'mutate/operations/operand/stats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/reason' => 'Google::Ads::AdWords::v201109::BiddingError::Reason',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201109::ApiException',
               'getResponse/rval/entries/stats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201109::SizeLimitError::Reason',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'getResponse/rval/entries/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201109::DistinctError',
               'getResponse/rval/entries/experimentData/experimentBidMultipliers[ManualCPCAdGroupExperimentBidMultipliers]/maxCpcMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201109::RequestError::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier' => 'Google::Ads::AdWords::v201109::BidMultiplier',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/stats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/experimentData/experimentId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/operand/bids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/bids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/adGroupId' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/bids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/stats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201109::AdGroupReturnValue',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201109::OperationAccessDenied::Reason',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/experimentData/experimentDeltaStatus' => 'Google::Ads::AdWords::v201109::ExperimentDeltaStatus',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201109::AdGroup',
               'mutateResponse/rval/value/stats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/bids[ConversionOptimizerAdGroupBids]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201109::RejectedError',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201109::OperatorError',
               'Fault/detail/ApiExceptionFault/errors[AdGroupServiceError]/reason' => 'Google::Ads::AdWords::v201109::AdGroupServiceError::Reason',
               'mutateResponse/rval/value/bids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/stats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/AdGroupExperimentBidMultipliers.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201109::Selector',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201109::AdGroup',
               'mutate/operations/operand/experimentData/experimentBidMultipliers[ManualCPMAdGroupExperimentBidMultipliers]/maxCpmMultiplier/multipliedBid/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/stats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/bids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/stats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201109::SelectorError',
               'mutate/operations' => 'Google::Ads::AdWords::v201109::AdGroupOperation'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201109::TypeMaps::AdGroupService - typemap for AdGroupService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

