
package Google::Ads::AdWords::v201109::TypeMaps::CampaignService;
use strict;
use warnings;

our $typemap_1 = {
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/reason' => 'Google::Ads::AdWords::v201109::EntityNotFound::Reason',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DateError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/campaignStats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/settings[GeoTargetTypeSetting]' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting',
               'mutate/operations/operand/campaignStats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates' => 'Google::Ads::AdWords::v201109::Predicate',
               'mutate/operations/operand/campaignStats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/reason' => 'Google::Ads::AdWords::v201109::NotEmptyError::Reason',
               'mutateResponse/rval/value/campaignStats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/totalBudget/period' => 'Google::Ads::AdWords::v201109::Budget::BudgetPeriod',
               'mutateResponse/rval/value/biddingStrategy[ManualCPM]' => 'Google::Ads::AdWords::v201109::ManualCPM',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]' => 'Google::Ads::AdWords::v201109::StatsQueryError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/reason' => 'Google::Ads::AdWords::v201109::RateExceededError::Reason',
               'getResponse/rval/entries/networkSetting/targetSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/campaignStats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/campaignStats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/frequencyCap/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/biddingStrategy[ManualCPC]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/networkSetting/targetContentNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/biddingStrategy[ConversionOptimizer]' => 'Google::Ads::AdWords::v201109::ConversionOptimizer',
               'mutateResponse/rval/value/biddingStrategy[PercentCPA]' => 'Google::Ads::AdWords::v201109::PercentCPA',
               'mutate/operations/operand/networkSetting/targetSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/reason' => 'Google::Ads::AdWords::v201109::AuthorizationError::Reason',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/paging' => 'Google::Ads::AdWords::v201109::Paging',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]' => 'Google::Ads::AdWords::v201109::NewEntityCreationError',
               'getResponse/rval/entries/campaignStats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/campaignStats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/campaignStats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries' => 'Google::Ads::AdWords::v201109::Campaign',
               'mutateResponse/rval/value/status' => 'Google::Ads::AdWords::v201109::CampaignStatus',
               'getResponse/rval/entries/budget/deliveryMethod' => 'Google::Ads::AdWords::v201109::Budget::BudgetDeliveryMethod',
               'mutate/operations/biddingTransition/explicitAdGroupBids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/networkSetting/targetContentNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/biddingStrategy[ManualCPC]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/BiddingTransition.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/settings[GeoTargetTypeSetting]/negativeGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::NegativeGeoTargetType',
               'mutateResponse/rval/value/campaignStats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/networkSetting/targetContentContextual' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/biddingStrategy[ConversionOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/operator' => 'Google::Ads::AdWords::v201109::Predicate::Operator',
               'getResponse/rval/entries/settings[GeoTargetTypeSetting]/negativeGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::NegativeGeoTargetType',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[TargetError]' => 'Google::Ads::AdWords::v201109::TargetError',
               'mutate/operations/biddingTransition/explicitAdGroupBids' => 'Google::Ads::AdWords::v201109::AdGroupBids',
               'mutate/operations/operand/conversionOptimizerEligibility' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility',
               'Fault/detail/ApiExceptionFault/errors[DateError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]' => 'Google::Ads::AdWords::v201109::BudgetOptimizer',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]' => 'Google::Ads::AdWords::v201109::OperationAccessDenied',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]/bidCeiling' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/biddingStrategy' => 'Google::Ads::AdWords::v201109::BiddingStrategy',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/settings[GeoTargetTypeSetting]/positiveGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::PositiveGeoTargetType',
               'getResponse/rval/entries/frequencyCap/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[ManualCPC]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[DateError]/reason' => 'Google::Ads::AdWords::v201109::DateError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/totalBudget/deliveryMethod' => 'Google::Ads::AdWords::v201109::Budget::BudgetDeliveryMethod',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]' => 'Google::Ads::AdWords::v201109::RateExceededError',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupBids',
               'mutateResponse/rval/value/conversionOptimizerEligibility/eligible' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ConversionOptimizer]' => 'Google::Ads::AdWords::v201109::ConversionOptimizer',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/networkSetting/targetSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/dateRange/min' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[TargetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]/reason' => 'Google::Ads::AdWords::v201109::CampaignError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/campaignStats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/campaignStats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[ConversionOptimizer]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'mutate/operations/operand/networkSetting' => 'Google::Ads::AdWords::v201109::NetworkSetting',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[PercentCPA]' => 'Google::Ads::AdWords::v201109::PercentCPA',
               'mutate/operations/operand/campaignStats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/biddingStrategy[ManualCPC]' => 'Google::Ads::AdWords::v201109::ManualCPC',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/reason' => 'Google::Ads::AdWords::v201109::StatsQueryError::Reason',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/faultstring' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/biddingStrategy[ConversionOptimizer]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'mutateResponse/rval/value/campaignStats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/campaignStats' => 'Google::Ads::AdWords::v201109::CampaignStats',
               'mutate/operations/operand/campaignStats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPMAdGroupBids',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[TargetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/reason' => 'Google::Ads::AdWords::v201109::QuotaCheckError::Reason',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/reason' => 'Google::Ads::AdWords::v201109::DatabaseError::Reason',
               'getResponse/rval/entries/campaignStats/costPerConversion/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]/bidCeiling' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/campaignStats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/biddingStrategy/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/budget/deliveryMethod' => 'Google::Ads::AdWords::v201109::Budget::BudgetDeliveryMethod',
               'getResponse/rval/entries/biddingStrategy[ConversionOptimizer]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'Fault/detail/ApiExceptionFault/errors[DateError]' => 'Google::Ads::AdWords::v201109::DateError',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/reason' => 'Google::Ads::AdWords::v201109::ClientTermsError::Reason',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]' => 'Google::Ads::AdWords::v201109::InternalApiError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/campaignStats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/budget/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/biddingTransition' => 'Google::Ads::AdWords::v201109::BiddingTransition',
               'mutateResponse/rval/value/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]' => 'Google::Ads::AdWords::v201109::BudgetOptimizer',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/budget/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/campaignStats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/campaignStats/cost' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/campaignStats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'mutateResponse/rval/value/biddingStrategy[ConversionOptimizer]' => 'Google::Ads::AdWords::v201109::ConversionOptimizer',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/frequencyCap/level' => 'Google::Ads::AdWords::v201109::Level',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/conversionOptimizerEligibility/rejectionReasons' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility::RejectionReason',
               'mutateResponse/rval/value/campaignStats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/biddingStrategy[ManualCPC]' => 'Google::Ads::AdWords::v201109::ManualCPC',
               'mutate/operations/operand/settings' => 'Google::Ads::AdWords::v201109::Setting',
               'getResponse/rval/entries/budget' => 'Google::Ads::AdWords::v201109::Budget',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse' => 'Google::Ads::AdWords::v201109::CampaignService::getResponse',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]' => 'Google::Ads::AdWords::v201109::BiddingError',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval' => 'Google::Ads::AdWords::v201109::CampaignPage',
               'mutate/operations/operand/budget' => 'Google::Ads::AdWords::v201109::Budget',
               'mutate/operations/biddingTransition/explicitAdGroupBids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]' => 'Google::Ads::AdWords::v201109::ClientTermsError',
               'getResponse/rval/entries/campaignStats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[PercentCPA]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]' => 'Google::Ads::AdWords::v201109::BudgetOptimizer',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/budget/period' => 'Google::Ads::AdWords::v201109::Budget::BudgetPeriod',
               'getResponse/rval/entries/biddingStrategy[ConversionOptimizer]/pricingModel' => 'Google::Ads::AdWords::v201109::PricingModel',
               'mutate/operations/operand/adServingOptimizationStatus' => 'Google::Ads::AdWords::v201109::AdServingOptimizationStatus',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[ManualCPC]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/biddingStrategy[ManualCPM]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/name' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201109::PercentCPAAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[ClientTermsError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/settings[GeoTargetTypeSetting]' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting',
               'mutateResponse/rval/value/campaignStats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]/reason' => 'Google::Ads::AdWords::v201109::BudgetError::Reason',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/reason' => 'Google::Ads::AdWords::v201109::InternalApiError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ManualCPM]' => 'Google::Ads::AdWords::v201109::ManualCPM',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/reason' => 'Google::Ads::AdWords::v201109::RejectedError::Reason',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]/bidCeiling/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]/bidCeiling' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/campaignStats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/totalBudget/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/adServingOptimizationStatus' => 'Google::Ads::AdWords::v201109::AdServingOptimizationStatus',
               'mutateResponse/rval/value/campaignStats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'mutate/operations/operand/campaignStats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'get/serviceSelector/predicates/values' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[GeoTargetTypeSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/campaignStats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/settings[GeoTargetTypeSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/reason' => 'Google::Ads::AdWords::v201109::SelectorError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[PercentCPAAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]' => 'Google::Ads::AdWords::v201109::DatabaseError',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]' => 'Google::Ads::AdWords::v201109::AuthorizationError',
               'mutate/operations/operand/networkSetting/targetPartnerSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/campaignStats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/campaignStats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[ManualCPM]' => 'Google::Ads::AdWords::v201109::ManualCPM',
               'mutate/operations/operand/budget/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[RealTimeBiddingSetting]/optIn' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/campaignStats/averageCpm' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operator' => 'Google::Ads::AdWords::v201109::Operator',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::BudgetOptimizerAdGroupBids',
               'get/serviceSelector/dateRange/max' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/settings[GeoTargetTypeSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/campaignStats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]' => 'Google::Ads::AdWords::v201109::SizeLimitError',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ConversionOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/campaignStats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ManualCPC]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/faultcode' => 'SOAP::WSDL::XSD::Typelib::Builtin::anyURI',
               'getResponse/rval/entries/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[RealTimeBiddingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/averagePosition' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats' => 'Google::Ads::AdWords::v201109::CampaignStats',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/limit' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/status' => 'Google::Ads::AdWords::v201109::CampaignStatus',
               'mutateResponse/rval/value/settings[RealTimeBiddingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NewEntityCreationError]/reason' => 'Google::Ads::AdWords::v201109::NewEntityCreationError::Reason',
               'mutateResponse/rval/value/campaignStats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/biddingStrategy/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[TargetError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/budget/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ManualCPC]' => 'Google::Ads::AdWords::v201109::ManualCPC',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy' => 'Google::Ads::AdWords::v201109::BiddingStrategy',
               'getResponse/rval/entries/biddingStrategy[ManualCPM]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]/bidCeiling/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[PercentCPA]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DateError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail' => 'Google::Ads::AdWords::FaultDetail',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/budget/deliveryMethod' => 'Google::Ads::AdWords::v201109::Budget::BudgetDeliveryMethod',
               'getResponse/rval/entries/campaignStats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/settings/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/message' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]' => 'Google::Ads::AdWords::v201109::QuotaError',
               'ApiExceptionFault' => 'Google::Ads::AdWords::v201109::ApiException',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm' => 'Google::Ads::AdWords::v201109::Bid',
               'getResponse/rval/entries/campaignStats/network' => 'Google::Ads::AdWords::v201109::Stats::Network',
               'getResponse/rval/entries/campaignStats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]/bidCeiling/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/reason' => 'Google::Ads::AdWords::v201109::RangeError::Reason',
               'mutate/operations/operand/settings[RealTimeBiddingSetting]/optIn' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/biddingStrategy/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/useSavedBids' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]' => 'Google::Ads::AdWords::v201109::ReadOnlyError',
               'mutateResponse/rval/value/biddingStrategy[ManualCPM]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]' => 'Google::Ads::AdWords::v201109::RequestError',
               'mutate/operations/operand/biddingStrategy[ConversionOptimizer]' => 'Google::Ads::AdWords::v201109::ConversionOptimizer',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]' => 'Google::Ads::AdWords::v201109::RequiredError',
               'mutateResponse/rval/value/campaignStats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[PercentCPA]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]/bidCeiling/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/numberResults' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]' => 'Google::Ads::AdWords::v201109::AuthenticationError',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]' => 'Google::Ads::AdWords::v201109::NotEmptyError',
               'mutateResponse/rval/value/budget/period' => 'Google::Ads::AdWords::v201109::Budget::BudgetPeriod',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ConversionOptimizer]/pricingModel' => 'Google::Ads::AdWords::v201109::PricingModel',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[PercentCPA]' => 'Google::Ads::AdWords::v201109::PercentCPA',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ConversionOptimizer]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'mutateResponse/rval/value/campaignStats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/biddingTransition/BiddingTransition.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/averageCpc/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/networkSetting/targetGoogleSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerAdGroupBids',
               'mutate/operations/biddingTransition/targetBiddingStrategy/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/networkSetting/targetGoogleSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/frequencyCap/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/conversionsManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/biddingStrategy[ConversionOptimizer]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy' => 'Google::Ads::AdWords::v201109::BiddingStrategy',
               'getResponse/rval/Page.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/reason' => 'Google::Ads::AdWords::v201109::AuthenticationError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ManualCPM]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/frequencyCap/level' => 'Google::Ads::AdWords::v201109::Level',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/Operation.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateScope' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/budget/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StatsQueryError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]' => 'Google::Ads::AdWords::v201109::BudgetOptimizer',
               'mutateResponse/rval/value/campaignStats/callDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/reason' => 'Google::Ads::AdWords::v201109::StringLengthError::Reason',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse' => 'Google::Ads::AdWords::v201109::CampaignService::mutateResponse',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids' => 'Google::Ads::AdWords::v201109::AdGroupBids',
               'mutate/operations/operand/campaignStats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/reason' => 'Google::Ads::AdWords::v201109::SettingError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/settings[RealTimeBiddingSetting]/optIn' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/frequencyCap' => 'Google::Ads::AdWords::v201109::FrequencyCap',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ManualCPM]' => 'Google::Ads::AdWords::v201109::ManualCPM',
               'mutateResponse/rval/value/frequencyCap/level' => 'Google::Ads::AdWords::v201109::Level',
               'mutateResponse/rval/value/campaignStats/valuePerConvManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/reason' => 'Google::Ads::AdWords::v201109::OperatorError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/settings' => 'Google::Ads::AdWords::v201109::Setting',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ManualCPM]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SettingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[ManualCPC]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'getResponse/rval/entries/campaignStats/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/dateRange' => 'Google::Ads::AdWords::v201109::DateRange',
               'get/serviceSelector/ordering/sortOrder' => 'Google::Ads::AdWords::v201109::SortOrder',
               'Fault/detail/ApiExceptionFault/errors[NullError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get' => 'Google::Ads::AdWords::v201109::CampaignService::get',
               'Fault' => 'SOAP::WSDL::SOAP::Typelib::Fault11',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/numMissedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/frequencyCap' => 'Google::Ads::AdWords::v201109::FrequencyCap',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]' => 'Google::Ads::AdWords::v201109::QuotaCheckError',
               'mutate/operations/operand/biddingStrategy[ConversionOptimizer]/pricingModel' => 'Google::Ads::AdWords::v201109::PricingModel',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutateResponse/rval/value/biddingStrategy[ConversionOptimizer]/pricingModel' => 'Google::Ads::AdWords::v201109::PricingModel',
               'getResponse/rval/entries/adServingOptimizationStatus' => 'Google::Ads::AdWords::v201109::AdServingOptimizationStatus',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthenticationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/averageCpc/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/totalBudget' => 'Google::Ads::AdWords::v201109::Budget',
               'mutateResponse/rval/value/settings[GeoTargetTypeSetting]/positiveGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::PositiveGeoTargetType',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPMAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPMAdGroupBids]/maxCpm/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]' => 'Google::Ads::AdWords::v201109::BudgetError',
               'mutate/operations/operand/settings[RealTimeBiddingSetting]/Setting.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/settings[GeoTargetTypeSetting]/negativeGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::NegativeGeoTargetType',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]/bidCeiling/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'get/serviceSelector/paging/startIndex' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/operand/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]' => 'Google::Ads::AdWords::v201109::BiddingTransitionError',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ManualCPC]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBiddingTransition',
               'mutate/operations/operand/campaignStats/conversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition/targetBiddingStrategy[PercentCPA]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/operand/campaignStats/clicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]' => 'Google::Ads::AdWords::v201109::StringLengthError',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/budget/amount' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/settings[GeoTargetTypeSetting]' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]/bidCeiling/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/budget/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[EntityNotFound]' => 'Google::Ads::AdWords::v201109::EntityNotFound',
               'mutate/operations/operand/campaignStats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'getResponse/rval/entries/conversionOptimizerEligibility' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility',
               'mutate/operations/operand/budget/period' => 'Google::Ads::AdWords::v201109::Budget::BudgetPeriod',
               'getResponse/rval/entries/campaignStats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/frequencyCap/timeUnit' => 'Google::Ads::AdWords::v201109::TimeUnit',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]' => 'Google::Ads::AdWords::v201109::BudgetOptimizer',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'Fault/detail/ApiExceptionFault/errors[TargetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/costPerConversionManyPerClick/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/status' => 'Google::Ads::AdWords::v201109::CampaignStatus',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ConversionOptimizer]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/reason' => 'Google::Ads::AdWords::v201109::DistinctError::Reason',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/reason' => 'Google::Ads::AdWords::v201109::NotWhitelistedError::Reason',
               'getResponse/rval/entries/campaignStats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/conversionRateManyPerClick' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]/bidCeiling/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]' => 'Google::Ads::AdWords::v201109::ManualCPCAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[SettingError]' => 'Google::Ads::AdWords::v201109::SettingError',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ConversionOptimizer]' => 'Google::Ads::AdWords::v201109::ConversionOptimizer',
               'mutateResponse/rval/value/campaignStats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/networkSetting/targetPartnerSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/reason' => 'Google::Ads::AdWords::v201109::QuotaError::Reason',
               'mutate/operations/operand/campaignStats/numReceivedCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NullError]' => 'Google::Ads::AdWords::v201109::NullError',
               'mutate/operations/operand/campaignStats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/budget' => 'Google::Ads::AdWords::v201109::Budget',
               'getResponse/rval/entries/campaignStats' => 'Google::Ads::AdWords::v201109::CampaignStats',
               'mutate/operations/biddingTransition/targetBiddingStrategy' => 'Google::Ads::AdWords::v201109::BiddingStrategy',
               'getResponse/rval/entries/campaignStats/conversionRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'ApiExceptionFault/errors/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[TargetError]/reason' => 'Google::Ads::AdWords::v201109::TargetError::Reason',
               'mutate/operations/operand/campaignStats/avgCallDurationSecs' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[PercentCPAAdGroupBids]/percentCpa' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutateResponse/rval/value/campaignStats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutateResponse/rval/value/frequencyCap/timeUnit' => 'Google::Ads::AdWords::v201109::TimeUnit',
               'mutate/operations/biddingTransition/targetBiddingStrategy[PercentCPA]' => 'Google::Ads::AdWords::v201109::PercentCPA',
               'getResponse/rval/entries/networkSetting/targetPartnerSearchNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/networkSetting/targetContentContextual' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ConversionOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[BudgetOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/networkSetting' => 'Google::Ads::AdWords::v201109::NetworkSetting',
               'mutate/operations/operand/campaignStats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'ApiExceptionFault/errors/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/conversionOptimizerEligibility/eligible' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/servingStatus' => 'Google::Ads::AdWords::v201109::ServingStatus',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]/bidCeiling/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/siteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/conversionOptimizerEligibility/rejectionReasons' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility::RejectionReason',
               'getResponse/rval/entries/campaignStats/valuePerConv' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/averageCpc' => 'Google::Ads::AdWords::v201109::Money',
               'getResponse/rval/entries/startDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/Stats.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ConversionOptimizer]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ConversionOptimizer]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutateResponse/rval/value/settings' => 'Google::Ads::AdWords::v201109::Setting',
               'Fault/detail/ApiExceptionFault/errors[RangeError]' => 'Google::Ads::AdWords::v201109::RangeError',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/retryAfterSeconds' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/totalBudget/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/operand/networkSetting/targetContentContextual' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[InternalApiError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[ConversionOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/biddingStrategy[BudgetOptimizer]/bidCeiling/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering' => 'Google::Ads::AdWords::v201109::OrderBy',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]/bidCeiling/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/campaignStats/cost/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[AuthorizationError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]' => 'Google::Ads::AdWords::v201109::NotWhitelistedError',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[ManualCPM]' => 'Google::Ads::AdWords::v201109::ManualCPM',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/networkSetting/targetContentNetwork' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/reason' => 'Google::Ads::AdWords::v201109::RequiredError::Reason',
               'getResponse/rval/entries/campaignStats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/ApplicationException.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/ordering/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/servingStatus' => 'Google::Ads::AdWords::v201109::ServingStatus',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc' => 'Google::Ads::AdWords::v201109::Bid',
               'get/serviceSelector/fields' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BudgetError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[ConversionOptimizer]/conversionOptimizerBidType' => 'Google::Ads::AdWords::v201109::ConversionOptimizerBidType',
               'Fault/detail/ApiExceptionFault/errors[DatabaseError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/reason' => 'Google::Ads::AdWords::v201109::ReadOnlyError::Reason',
               'mutate/operations/operand/frequencyCap/timeUnit' => 'Google::Ads::AdWords::v201109::TimeUnit',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxySiteMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NullError]/reason' => 'Google::Ads::AdWords::v201109::NullError::Reason',
               'Fault/detail/ApiExceptionFault/errors[CampaignError]' => 'Google::Ads::AdWords::v201109::CampaignError',
               'mutateResponse/rval/value/campaignStats/totalConvValue' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/campaignStats/averageCpm/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/faultactor' => 'SOAP::WSDL::XSD::Typelib::Builtin::token',
               'ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201109::ApiError',
               'mutateResponse/rval/value/settings[RealTimeBiddingSetting]' => 'Google::Ads::AdWords::v201109::RealTimeBiddingSetting',
               'mutate/operations/operand/settings[RealTimeBiddingSetting]' => 'Google::Ads::AdWords::v201109::RealTimeBiddingSetting',
               'getResponse/rval/entries/budget/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/networkSetting' => 'Google::Ads::AdWords::v201109::NetworkSetting',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/costPerConversion/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate' => 'Google::Ads::AdWords::v201109::CampaignService::mutate',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ManualCPC]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutate/operations/operand/campaignStats/viewThroughConversions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/settings[RealTimeBiddingSetting]' => 'Google::Ads::AdWords::v201109::RealTimeBiddingSetting',
               'getResponse/rval/entries/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'Fault/detail/ApiExceptionFault/errors[NotWhitelistedError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/biddingStrategy[ManualCPC]' => 'Google::Ads::AdWords::v201109::ManualCPC',
               'mutateResponse/rval/value/budget/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors' => 'Google::Ads::AdWords::v201109::ApiError',
               'mutateResponse/rval/value/campaignStats/costPerConversion' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'getResponse/rval/entries/campaignStats/ctr' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'mutate/operations/operand/settings[GeoTargetTypeSetting]/positiveGeoTargetType' => 'Google::Ads::AdWords::v201109::GeoTargetTypeSetting::PositiveGeoTargetType',
               'getResponse/rval/entries/campaignStats/numCalls' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition/explicitAdGroupBids[ConversionOptimizerAdGroupBids]/targetCpa/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/networkSetting/targetGoogleSearch' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[NullError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[BiddingError]/reason' => 'Google::Ads::AdWords::v201109::BiddingError::Reason',
               'mutate/operations/biddingTransition/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/proxyKeywordMaxCpc/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/keywordContentMaxCpc/amount' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault' => 'Google::Ads::AdWords::v201109::ApiException',
               'Fault/detail/ApiExceptionFault/errors[SizeLimitError]/reason' => 'Google::Ads::AdWords::v201109::SizeLimitError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[QuotaCheckError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/campaignStats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/campaignStats/cost/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/biddingStrategy' => 'Google::Ads::AdWords::v201109::BiddingStrategy',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[PercentCPA]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/ListReturnValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/servingStatus' => 'Google::Ads::AdWords::v201109::ServingStatus',
               'mutateResponse/rval/value/campaignStats/averageCpm/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[ConversionOptimizer]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[PercentCPAAdGroupBids]' => 'Google::Ads::AdWords::v201109::PercentCPAAdGroupBids',
               'getResponse/rval/entries/biddingStrategy[PercentCPA]' => 'Google::Ads::AdWords::v201109::PercentCPA',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]/AdGroupBids.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[DistinctError]' => 'Google::Ads::AdWords::v201109::DistinctError',
               'Fault/detail/ApiExceptionFault/errors[RequestError]/reason' => 'Google::Ads::AdWords::v201109::RequestError::Reason',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]/bidCeiling' => 'Google::Ads::AdWords::v201109::Money',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[ReadOnlyError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/impressions' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'getResponse/rval/entries/biddingStrategy[BudgetOptimizer]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'Fault/detail/ApiExceptionFault/errors[RequiredError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[ManualCPC]/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[QuotaError]/fieldPath' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'get/serviceSelector/predicates/field' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RangeError]/ApiError.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[StringLengthError]/trigger' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval' => 'Google::Ads::AdWords::v201109::CampaignReturnValue',
               'Fault/detail/ApiExceptionFault/errors[OperationAccessDenied]/reason' => 'Google::Ads::AdWords::v201109::OperationAccessDenied::Reason',
               'getResponse/rval/totalNumEntries' => 'SOAP::WSDL::XSD::Typelib::Builtin::int',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[ConversionOptimizer]/pricingModel' => 'Google::Ads::AdWords::v201109::PricingModel',
               'Fault/detail/ApiExceptionFault/errors[NotEmptyError]/errorString' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/operand/campaignStats/invalidClicks' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutateResponse/rval/value/frequencyCap' => 'Google::Ads::AdWords::v201109::FrequencyCap',
               'mutateResponse/rval/value' => 'Google::Ads::AdWords::v201109::Campaign',
               'mutateResponse/rval/value/campaignStats/invalidClickRate' => 'SOAP::WSDL::XSD::Typelib::Builtin::double',
               'Fault/detail/ApiExceptionFault/errors[RejectedError]' => 'Google::Ads::AdWords::v201109::RejectedError',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ManualCPC]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/entries/campaignStats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition/targetBiddingStrategy[ManualCPC]' => 'Google::Ads::AdWords::v201109::ManualCPC',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy/BiddingStrategy.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/biddingStrategy[ConversionOptimizer]/deduplicationMode' => 'Google::Ads::AdWords::v201109::ConversionDeduplicationMode',
               'mutate/operations/operand/campaignStats/costPerConversionManyPerClick' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[OperatorError]' => 'Google::Ads::AdWords::v201109::OperatorError',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[ManualCPCAdGroupBids]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'mutateResponse/rval/value/conversionOptimizerEligibility' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility',
               'mutate/operations/operand/campaignStats/costPerConversionManyPerClick/microAmount' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/targetBiddingStrategy[BudgetOptimizer]/enhancedCpcEnabled' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean',
               'getResponse/rval/totalBudget/amount/ComparableValue.Type' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutate/operations/biddingTransition/targetBiddingStrategy[BudgetOptimizer]/bidCeiling' => 'Google::Ads::AdWords::v201109::Money',
               'Fault/detail/ApiExceptionFault/errors[BiddingTransitionError]/reason' => 'Google::Ads::AdWords::v201109::BiddingTransitionError::Reason',
               'get/serviceSelector' => 'Google::Ads::AdWords::v201109::Selector',
               'getResponse/rval/entries/conversionOptimizerEligibility/rejectionReasons' => 'Google::Ads::AdWords::v201109::ConversionOptimizerEligibility::RejectionReason',
               'mutate/operations/operand' => 'Google::Ads::AdWords::v201109::Campaign',
               'mutate/operations/operand/campaignStats/endDate' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'Fault/detail/ApiExceptionFault/errors[RateExceededError]/rateName' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
               'mutateResponse/rval/value/id' => 'SOAP::WSDL::XSD::Typelib::Builtin::long',
               'mutate/operations/biddingTransition[ConversionOptimizerBiddingTransition]/explicitAdGroupBids[BudgetOptimizerAdGroupBids]' => 'Google::Ads::AdWords::v201109::BudgetOptimizerAdGroupBids',
               'Fault/detail/ApiExceptionFault/errors[SelectorError]' => 'Google::Ads::AdWords::v201109::SelectorError',
               'mutate/operations' => 'Google::Ads::AdWords::v201109::CampaignOperation',
               'mutate/operations/operand/conversionOptimizerEligibility/eligible' => 'SOAP::WSDL::XSD::Typelib::Builtin::boolean'
             };
;

sub get_class {
  my $name = join '/', @{ $_[1] };
  return $typemap_1->{ $name };
}

sub get_typemap {
    return $typemap_1;
}

1;

__END__

__END__

=pod

=head1 NAME

Google::Ads::AdWords::v201109::TypeMaps::CampaignService - typemap for CampaignService

=head1 DESCRIPTION

Typemap created by SOAP::WSDL for map-based SOAP message parsers.

=cut

