# Copyright 2011, Google Inc. All Rights Reserved.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# Module to store package-level constants.

package Google::Ads::Common::Constants;

use strict;
use version;

# Main version number that the rest of the modules on this package pick up of.
our $VERSION = qv("1.0.1");

# OAuth server-side endpoints. Refer to
# http://code.google.com/apis/accounts/docs/RegistrationForWebAppsAuto.html for
# more information on these.
use constant DEFAULT_OAUTH_REQUEST_TOKEN_URL =>
    "https://www.google.com/accounts/OAuthGetRequestToken";
use constant DEFAULT_OAUTH_AUTHORIZE_TOKEN_URL =>
    "https://www.google.com/accounts/OAuthAuthorizeToken";
use constant DEFAULT_OAUTH_ACCESS_TOKEN_URL =>
    "https://www.google.com/accounts/OAuthGetAccessToken";

1;
